/**
 * Copyright 2013 Netherlands eScience Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.esciencecenter.xenon.util;

import static org.hamcrest.CoreMatchers.containsString;
import static org.hamcrest.MatcherAssert.assertThat;

import java.io.PrintWriter;
import java.io.StringWriter;

import org.junit.Before;
import org.junit.Test;

public class AdaptorDocGeneratorTest {
    private String output;

    @Before
    public void setUp() {
        AdaptorDocGenerator generator = new AdaptorDocGenerator();
        StringWriter out = new StringWriter();
        generator.generate(new PrintWriter(out));
        out.flush();
        output = out.toString();
    }

    @Test
    public void testGenerate_hasHeader() {
        assertThat(output, containsString("Adaptor Documentation"));
    }

    @Test
    public void testGenerate_hasSupportedProps() {
        assertThat(output, containsString("Supported properties"));
    }
}